# actix_redis - Rust
Redis integration for `actix`.
Keywords: rust, rustlang, rust-lang, actix_redis

# Crate actix_redis

source ·
Expand description

Redis integration for `actix`.

## Macros

resp_array
Macro to create a RESP array, useful for preparing commands to send. Elements can be any type, or a mixture of types, that satisfy `Into<RespValue>`.

## Structs

Command
Command for sending data to Redis.
RedisActor
Redis communication actor.

## Enums

Error
General purpose `actix-redis` error.
RespError
RespValue
A single RESP value, this owns the data that is read/to-be written to Redis.